#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './exportphonebook.ui'
**
** Created: Thu Apr 23 10:08:58 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "exportphonebook.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a exportPhonebook as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
exportPhonebook::exportPhonebook( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "exportPhonebook" );
    exportPhonebookLayout = new QGridLayout( this, 1, 1, 0, 6, "exportPhonebookLayout"); 

    exportOptions = new QButtonGroup( this, "exportOptions" );
    exportOptions->setFrameShape( QButtonGroup::GroupBoxPanel );
    exportOptions->setFrameShadow( QButtonGroup::Sunken );
    exportOptions->setLineWidth( 0 );
    exportOptions->setFlat( TRUE );
    exportOptions->setCheckable( FALSE );
    exportOptions->setColumnLayout(0, Qt::Vertical );
    exportOptions->layout()->setSpacing( 6 );
    exportOptions->layout()->setMargin( 11 );
    exportOptionsLayout = new QGridLayout( exportOptions->layout() );
    exportOptionsLayout->setAlignment( Qt::AlignTop );

    phonebook2kabc = new QRadioButton( exportOptions, "phonebook2kabc" );

    exportOptionsLayout->addWidget( phonebook2kabc, 1, 0 );
    spacer3 = new QSpacerItem( 20, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    exportOptionsLayout->addItem( spacer3, 2, 0 );

    phonebook2file = new QRadioButton( exportOptions, "phonebook2file" );
    phonebook2file->setChecked( TRUE );

    exportOptionsLayout->addWidget( phonebook2file, 0, 0 );

    exportPhonebookLayout->addWidget( exportOptions, 0, 0 );
    languageChange();
    resize( QSize(380, 77).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
exportPhonebook::~exportPhonebook()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void exportPhonebook::languageChange()
{
    exportOptions->setTitle( QString::null );
    phonebook2kabc->setText( tr2i18n( "Add your mobile phonebook to the &KDE AddressBook" ) );
    phonebook2file->setText( tr2i18n( "&Save your mobile phonebook to a file" ) );
}

#include "exportphonebook.moc"
