#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './deviceList.ui'
**
** Created: Thu Apr 23 10:09:35 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "deviceList.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "klistview.h"
#include "kpushbutton.h"

/*
 *  Constructs a deviceList as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
deviceList::deviceList( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "deviceList" );
    deviceListLayout = new QGridLayout( this, 1, 1, 11, 6, "deviceListLayout"); 

    deviceListView = new KListView( this, "deviceListView" );
    deviceListView->addColumn( tr2i18n( "Name" ) );
    deviceListView->addColumn( tr2i18n( "Type" ) );
    deviceListView->addColumn( tr2i18n( "Loaded" ) );
    deviceListView->setProperty( "selectionMode", "Single" );
    deviceListView->setAllColumnsShowFocus( TRUE );
    deviceListView->setShowSortIndicator( TRUE );
    deviceListView->setResizeMode( KListView::AllColumns );
    deviceListView->setDefaultRenameAction( KListView::Accept );
    deviceListView->setFullWidth( TRUE );
    deviceListView->setItemsRenameable( TRUE );

    deviceListLayout->addWidget( deviceListView, 0, 0 );

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    addButton = new KPushButton( this, "addButton" );
    addButton->setProperty( "stdItem", 0 );
    layout1->addWidget( addButton );

    cfgButton = new KPushButton( this, "cfgButton" );
    cfgButton->setProperty( "stdItem", 0 );
    layout1->addWidget( cfgButton );

    remButton = new KPushButton( this, "remButton" );
    remButton->setProperty( "stdItem", 0 );
    layout1->addWidget( remButton );

    actButton = new KPushButton( this, "actButton" );
    actButton->setToggleButton( TRUE );
    actButton->setOn( FALSE );
    actButton->setDefault( FALSE );
    layout1->addWidget( actButton );
    spacer1 = new QSpacerItem( 21, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer1 );

    deviceListLayout->addLayout( layout1, 0, 1 );
    languageChange();
    resize( QSize(354, 336).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
deviceList::~deviceList()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void deviceList::languageChange()
{
    setCaption( tr2i18n( "KMobileTools Device Manager" ) );
    deviceListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    deviceListView->header()->setLabel( 1, tr2i18n( "Type" ) );
    deviceListView->header()->setLabel( 2, tr2i18n( "Loaded" ) );
    deviceListView->clear();
    QListViewItem * item = new QListViewItem( deviceListView, 0 );
    item->setText( 0, tr2i18n( "Elemento" ) );

    addButton->setText( tr2i18n( "A&dd" ) );
    cfgButton->setText( tr2i18n( "&Properties" ) );
    remButton->setText( tr2i18n( "R&emove" ) );
    actButton->setText( tr2i18n( "En&able" ) );
}

#include "deviceList.moc"
