#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './genericDeviceOptions.ui'
**
** Created: Thu Apr 23 10:09:35 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "genericDeviceOptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"
#include "klineedit.h"
#include "kpushbutton.h"
#include "kurlrequester.h"

/*
 *  Constructs a genericDeviceOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
genericDeviceOptions::genericDeviceOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "genericDeviceOptions" );
    genericDeviceOptionsLayout = new QGridLayout( this, 1, 1, 11, 6, "genericDeviceOptionsLayout"); 

    kcfg_status_poll = new QCheckBox( this, "kcfg_status_poll" );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_status_poll, 0, 0, 0, 1 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    poll2Label = new QLabel( this, "poll2Label" );
    layout10->addWidget( poll2Label );

    kcfg_status_pollTimeout = new KDoubleNumInput( this, "kcfg_status_pollTimeout" );
    kcfg_status_pollTimeout->setPrecision( 1 );
    layout10->addWidget( kcfg_status_pollTimeout );

    genericDeviceOptionsLayout->addMultiCellLayout( layout10, 1, 1, 0, 1 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    kcfg_smsPoll = new QCheckBox( this, "kcfg_smsPoll" );
    layout7->addWidget( kcfg_smsPoll );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout6->addWidget( textLabel1 );

    kcfg_sms_pollTimeout = new KDoubleNumInput( this, "kcfg_sms_pollTimeout" );
    kcfg_sms_pollTimeout->setPrecision( 1 );
    layout6->addWidget( kcfg_sms_pollTimeout );
    layout7->addLayout( layout6 );

    genericDeviceOptionsLayout->addMultiCellLayout( layout7, 2, 2, 0, 1 );

    kcfg_sync_clock = new QCheckBox( this, "kcfg_sync_clock" );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_sync_clock, 3, 3, 0, 1 );

    kcfg_verbose = new QCheckBox( this, "kcfg_verbose" );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_verbose, 4, 4, 0, 1 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    layout9->addWidget( textLabel1_2 );

    kcfg_smscenter = new KLineEdit( this, "kcfg_smscenter" );
    layout9->addWidget( kcfg_smscenter );

    b_smscenter_choose = new KPushButton( this, "b_smscenter_choose" );
    b_smscenter_choose->setProperty( "stdItem", 0 );
    layout9->addWidget( b_smscenter_choose );

    genericDeviceOptionsLayout->addMultiCellLayout( layout9, 5, 5, 0, 1 );

    kcfg_calendar = new QCheckBox( this, "kcfg_calendar" );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_calendar, 6, 6, 0, 1 );

    kcfg_maildir = new QCheckBox( this, "kcfg_maildir" );
    kcfg_maildir->setEnabled( FALSE );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_maildir, 7, 7, 0, 1 );
    spacer7 = new QSpacerItem( 20, 120, QSizePolicy::Minimum, QSizePolicy::Expanding );
    genericDeviceOptionsLayout->addItem( spacer7, 10, 1 );

    kcfg_maildir_path = new KURLRequester( this, "kcfg_maildir_path" );
    kcfg_maildir_path->setEnabled( TRUE );

    genericDeviceOptionsLayout->addMultiCellWidget( kcfg_maildir_path, 9, 9, 0, 1 );

    textLabel1_3 = new QLabel( this, "textLabel1_3" );

    genericDeviceOptionsLayout->addWidget( textLabel1_3, 8, 0 );
    languageChange();
    resize( QSize(701, 545).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
genericDeviceOptions::~genericDeviceOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void genericDeviceOptions::languageChange()
{
    kcfg_status_poll->setText( tr2i18n( "C&heck for phone status/incoming calls" ) );
    poll2Label->setText( tr2i18n( "Time for check (seconds):" ) );
    kcfg_smsPoll->setText( tr2i18n( "Poll automaticall&y for sms" ) );
    textLabel1->setText( tr2i18n( "SMS poll timer (seconds):" ) );
    kcfg_sync_clock->setText( tr2i18n( "Ad&just phone date/time at startup" ) );
    kcfg_verbose->setText( tr2i18n( "&Verbose output in %1 (for debug)" ) );
    textLabel1_2->setText( tr2i18n( "SMS Center" ) );
    b_smscenter_choose->setText( QString::null );
    b_smscenter_choose->setAccel( QKeySequence( QString::null ) );
    kcfg_calendar->setText( tr2i18n( "Calendar &Support" ) );
    kcfg_maildir->setText( tr2i18n( "E&xport SMS to MailDir" ) );
    textLabel1_3->setText( tr2i18n( "MailDir Path" ) );
}

#include "genericDeviceOptions.moc"
