#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './importphonebook.ui'
**
** Created: Thu Apr 23 10:08:58 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "importphonebook.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <kurlrequester.h>
#include <kpushbutton.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"
#include "klistview.h"

/*
 *  Constructs a importPhonebook as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
importPhonebook::importPhonebook( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "importPhonebook" );
    importPhonebookLayout = new QGridLayout( this, 1, 1, 0, 6, "importPhonebookLayout"); 

    importFrom = new QButtonGroup( this, "importFrom" );
    importFrom->setColumnLayout(0, Qt::Vertical );
    importFrom->layout()->setSpacing( 6 );
    importFrom->layout()->setMargin( 11 );
    importFromLayout = new QGridLayout( importFrom->layout() );
    importFromLayout->setAlignment( Qt::AlignTop );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    fileUrl = new KURLRequester( importFrom, "fileUrl" );
    fileUrl->setEnabled( FALSE );
    fileUrl->setMidLineWidth( 0 );
    layout10->addWidget( fileUrl );

    abcLoad = new KPushButton( importFrom, "abcLoad" );
    abcLoad->setEnabled( FALSE );
    layout10->addWidget( abcLoad );

    importFromLayout->addLayout( layout10, 2, 0 );

    radioButton1 = new QRadioButton( importFrom, "radioButton1" );
    importFrom->insert( radioButton1, 1 );

    importFromLayout->addWidget( radioButton1, 1, 0 );

    radioButton2 = new QRadioButton( importFrom, "radioButton2" );
    radioButton2->setChecked( TRUE );
    importFrom->insert( radioButton2, 0 );

    importFromLayout->addWidget( radioButton2, 0, 0 );

    formatLabel = new QLabel( importFrom, "formatLabel" );

    importFromLayout->addWidget( formatLabel, 3, 0 );

    importPhonebookLayout->addMultiCellWidget( importFrom, 0, 0, 0, 1 );

    clearPhoneBook = new QCheckBox( this, "clearPhoneBook" );
    clearPhoneBook->setEnabled( FALSE );

    importPhonebookLayout->addMultiCellWidget( clearPhoneBook, 3, 3, 0, 1 );

    lv_abc = new KListView( this, "lv_abc" );
    lv_abc->addColumn( tr2i18n( "Name" ) );
    lv_abc->addColumn( tr2i18n( "Number" ) );
    lv_abc->addColumn( tr2i18n( "Memory" ) );
    lv_abc->setProperty( "selectionMode", "Extended" );
    lv_abc->setAllColumnsShowFocus( TRUE );
    lv_abc->setResizeMode( KListView::AllColumns );

    importPhonebookLayout->addWidget( lv_abc, 2, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    importPhonebookLayout->addWidget( textLabel1, 1, 0 );

    layout13 = new QVBoxLayout( 0, 0, 6, "layout13"); 
    spacer5 = new QSpacerItem( 20, 160, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout13->addItem( spacer5 );

    toSim = new KPushButton( this, "toSim" );
    layout13->addWidget( toSim );

    toPhone = new KPushButton( this, "toPhone" );
    layout13->addWidget( toPhone );

    toDataCard = new KPushButton( this, "toDataCard" );
    layout13->addWidget( toDataCard );

    dontimport = new KPushButton( this, "dontimport" );
    layout13->addWidget( dontimport );

    importPhonebookLayout->addLayout( layout13, 2, 1 );
    languageChange();
    resize( QSize(743, 475).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
importPhonebook::~importPhonebook()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void importPhonebook::languageChange()
{
    importFrom->setTitle( tr2i18n( "Import Options" ) );
    fileUrl->setProperty( "url", QString::null );
    fileUrl->setFilter( tr2i18n( "text/x-vcard" ) );
    abcLoad->setText( tr2i18n( "L&oad" ) );
    radioButton1->setText( tr2i18n( "Import contacts from &a file:" ) );
    radioButton2->setText( tr2i18n( "Import contacts from &KDE AddressBook" ) );
    formatLabel->setText( QString::null );
    clearPhoneBook->setText( tr2i18n( "&Clear the phonebook before importing (dangerous)" ) );
    lv_abc->header()->setLabel( 0, tr2i18n( "Name" ) );
    lv_abc->header()->setLabel( 1, tr2i18n( "Number" ) );
    lv_abc->header()->setLabel( 2, tr2i18n( "Memory" ) );
    textLabel1->setText( tr2i18n( "Contacts to Import:" ) );
    toSim->setText( tr2i18n( "&SIM" ) );
    toPhone->setText( tr2i18n( "Pho&ne" ) );
    toDataCard->setText( tr2i18n( "&DataCard" ) );
    dontimport->setText( tr2i18n( "Don't import" ) );
    dontimport->setAccel( QKeySequence( QString::null ) );
}

#include "importphonebook.moc"
