#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './cfg_filesystem.ui'
**
** Created: Thu Apr 23 10:09:34 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "cfg_filesystem.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qwidgetstack.h>
#include <kactivelabel.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kactivelabel.h"
#include "klineedit.h"
#include "kcombobox.h"
#include "knuminput.h"

/*
 *  Constructs a cfgFilesystem as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
cfgFilesystem::cfgFilesystem( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "cfgFilesystem" );
    cfgFilesystemLayout = new QGridLayout( this, 1, 1, 11, 6, "cfgFilesystemLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    cfgFilesystemLayout->addWidget( textLabel1, 0, 0 );

    fs_stack = new QWidgetStack( this, "fs_stack" );
    fs_stack->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, fs_stack->sizePolicy().hasHeightForWidth() ) );

    voidpage = new QWidget( fs_stack, "voidpage" );
    fs_stack->addWidget( voidpage, 0 );

    p2k = new QWidget( fs_stack, "p2k" );
    p2kLayout = new QGridLayout( p2k, 1, 1, 0, 6, "p2kLayout"); 

    kActiveLabel1 = new KActiveLabel( p2k, "kActiveLabel1" );
    kActiveLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, kActiveLabel1->sizePolicy().hasHeightForWidth() ) );
    kActiveLabel1->setLineWidth( 2 );

    p2kLayout->addWidget( kActiveLabel1, 1, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    textLabel2 = new QLabel( p2k, "textLabel2" );
    layout3->addWidget( textLabel2 );

    textLabel3 = new QLabel( p2k, "textLabel3" );
    layout3->addWidget( textLabel3 );
    layout4->addLayout( layout3 );

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    kcfg_p2k_vendor = new KLineEdit( p2k, "kcfg_p2k_vendor" );
    layout1->addWidget( kcfg_p2k_vendor );

    kcfg_p2k_prodid = new KLineEdit( p2k, "kcfg_p2k_prodid" );
    layout1->addWidget( kcfg_p2k_prodid );
    layout4->addLayout( layout1 );

    p2kLayout->addLayout( layout4, 0, 0 );
    spacer1 = new QSpacerItem( 20, 121, QSizePolicy::Minimum, QSizePolicy::Expanding );
    p2kLayout->addItem( spacer1, 2, 0 );
    fs_stack->addWidget( p2k, 1 );

    obexftp = new QWidget( fs_stack, "obexftp" );
    obexftpLayout = new QGridLayout( obexftp, 1, 1, 0, 6, "obexftpLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    textLabel4 = new QLabel( obexftp, "textLabel4" );
    layout6->addWidget( textLabel4 );

    textLabel5 = new QLabel( obexftp, "textLabel5" );
    layout6->addWidget( textLabel5 );

    textLabel6 = new QLabel( obexftp, "textLabel6" );
    layout6->addWidget( textLabel6 );
    layout7->addLayout( layout6 );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    kcfg_obex_transp = new KComboBox( FALSE, obexftp, "kcfg_obex_transp" );
    layout5->addWidget( kcfg_obex_transp );

    kcfg_obex_device = new KLineEdit( obexftp, "kcfg_obex_device" );
    layout5->addWidget( kcfg_obex_device );

    kcfg_obex_port = new KIntNumInput( obexftp, "kcfg_obex_port" );
    kcfg_obex_port->setMinValue( 0 );
    layout5->addWidget( kcfg_obex_port );
    layout7->addLayout( layout5 );

    obexftpLayout->addLayout( layout7, 0, 0 );
    spacer2 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    obexftpLayout->addItem( spacer2, 1, 0 );
    fs_stack->addWidget( obexftp, 2 );

    cfgFilesystemLayout->addWidget( fs_stack, 2, 0 );

    kcfg_fstype = new KComboBox( FALSE, this, "kcfg_fstype" );

    cfgFilesystemLayout->addWidget( kcfg_fstype, 1, 0 );
    languageChange();
    resize( QSize(600, 195).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
cfgFilesystem::~cfgFilesystem()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void cfgFilesystem::languageChange()
{
    setCaption( tr2i18n( "Filesystem Configuration" ) );
    textLabel1->setText( tr2i18n( "Filesystem Access for this Mobile Phone" ) );
    kActiveLabel1->setText( tr2i18n( "If you don't know what these values are, you can visit <a href=\"http://moto4lin.sourceforge.net/wiki/Category:Models\">Moto4Lin wiki page</a>." ) );
    textLabel2->setText( tr2i18n( "Vendor" ) );
    textLabel3->setText( tr2i18n( "Product ID" ) );
    textLabel4->setText( tr2i18n( "Transport type" ) );
    textLabel5->setText( tr2i18n( "Device name (use \"<i>nodevice</i>\" for auto/null devices)" ) );
    textLabel6->setText( tr2i18n( "Channel/Port (0 for auto)" ) );
    kcfg_obex_transp->clear();
    kcfg_obex_transp->insertItem( tr2i18n( "IrDA" ) );
    kcfg_obex_transp->insertItem( tr2i18n( "Inet" ) );
    kcfg_obex_transp->insertItem( tr2i18n( "Custom" ) );
    kcfg_obex_transp->insertItem( tr2i18n( "Bluetooth" ) );
    kcfg_obex_transp->insertItem( tr2i18n( "USB" ) );
    kcfg_fstype->clear();
    kcfg_fstype->insertItem( tr2i18n( "No Filesystem" ) );
    kcfg_fstype->insertItem( tr2i18n( "Motorola P2K (USB)" ) );
    kcfg_fstype->insertItem( tr2i18n( "Obex" ) );
}

#include "cfg_filesystem.moc"
